%define upstream_name    Dist-Zilla-Plugin-NoAutomatedTesting
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Avoid running under CPAN Testers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla)
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
CPAN Testers are great and do a worthy and thankless job, testing all the
distributions uploaded to CPAN. But sometimes we don't want a distribution
to be tested by these gallant individuals.

Dist::Zilla::Plugin::NoAutomatedTesting is a the Dist::Zilla manpage plugin
that mungles 'Makefile.PL' to detect that it is being run by a CPAN Tester
and 'exit 0' if it is.

As this plugin mungles the 'Makefile.PL' it is imperative that it is
specified in 'dist.ini' AFTER '[MakeMaker]'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc META.yml LICENSE README META.json Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Apr 16 2011 Funda Wang <fwang@mandriva.org> 0.20.0-2mdv2011.0
+ Revision: 653573
- rebuild for updated spec-helper

* Tue Aug 24 2010 Jérôme Quelin <jquelin@mandriva.org> 0.20.0-1mdv2011.0
+ Revision: 572832
- import perl-Dist-Zilla-Plugin-NoAutomatedTesting

